%global debug_package %{nil}
%global origname glide

Name:       %{origname}-rs
Version:    0.6.2
Release:    1%{?dist}
Summary:    Linux/macOS media player based on GStreamer and GTK+

License:    MIT
URL:        https://github.com/philn/glide
Source0:    %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: cargo >= 1.39
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: libappstream-glib
BuildRequires: meson
BuildRequires: rust >= 1.39
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gstreamer-1.0) >= 1.12
BuildRequires: pkgconfig(gstreamer-player-1.0) >= 1.12
BuildRequires: pkgconfig(gstreamer-video-1.0) >= 1.12
BuildRequires: pkgconfig(gtk4)
BuildRequires: pkgconfig(libadwaita-1)

Requires:   gstreamer1-plugins-good%{?_isa}
Requires:   hicolor-icon-theme

# https://docs.fedoraproject.org/en-US/quick-docs/assembly_installing-plugins-for-playing-movies-and-music/
Recommends: gstreamer1-libav
Recommends: gstreamer1-plugins-bad-freeworld
Recommends: gstreamer1-plugins-ugly
Recommends: gstreamer1-plugins-ugly-free

%description
Glide is a simple and minimalistic media player relying on GStreamer for the
multimedia support and GTK+ for the user interface. Glide should be able to
play any multimedia format supported by GStreamer, locally or remotely hosted.
Glide is developed in Rust and was tested on Linux and macOS so far. It should
also work on Windows, please let me know if anyone managed to test it on that
platform.


%prep
%autosetup -n %{origname}-%{version}

# Set codegen-units to 1
echo -e '\n[profile.release]' >> Cargo.toml
echo 'codegen-units = 1' >> Cargo.toml


%build
%meson
%meson_build


%install
%meson_install
strip --strip-all %{buildroot}%{_bindir}/*


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license LICENSE
%doc README.md TODO 
%{_bindir}/%{origname}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_metainfodir}/*.xml


%changelog
* Sat Feb 24 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.2-1
- chore: Update to latest release (no more manual changelog updates)

* Tue Dec 05 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.1-1
- chore: Update to latest release

* Fri Feb 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.11-1
- build(update): 0.5.11

* Sun May 23 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.9-1
- build(update): 0.5.9

* Mon Oct 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.8-2
- Initial package
